#include <bits/stdc++.h>
using namespace std;

const int MAXN = 1e5+1;

#define DBG(s) cout << "dbg: " << s << endl

vector<vector<int>> adj(MAXN);
bool visited[MAXN];

int dfs(int start) {
    int sum = start;
    for (auto a : adj[start]) {
        if (visited[a])
            sum += dfs(a);
    }

    return sum;
}

void solve() {
    //freopen("input.txt", "r", stdin);
    int n;
    cin >> n;
    for (int i = 2; i <= n; i++) {
        int a;
        cin >> a;
        adj[a].push_back(i);
    }


    int sum = 0;
    for (int left = 2; left < n - 1; left++) {
        for (int right = left + 1; right <= n; right++) {
            int s = 0;
            cout << "left: " << left << " " << "right: " << right << endl;
            for (int i = left; i <= right; i++) {
                        //DBG("HELO!");
                s += dfs(i);
                //cout << s << endl;
            }
            //DBG(sum);
            sum += s;
        }
    }

    cout << (sum + 1) / 2 << endl;
}

void fastIO() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int main() {
    fastIO();
    solve();

    return 0;
}
