# include <iostream>
using namespace std;

const long long MOD=1e9+7;
const int MAX=3e3+11;

int n;
char t[MAX];
long long dp[MAX][MAX];
long long pref[MAX][MAX];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    cin>>n;
    for(int i=1;i<n;i++) cin>>t[i];

    dp[1][1]=1;
    for(int i=1;i<=n;i++) pref[1][i]=1;

    for(int i=2;i<=n;i++)
    {
        for(int j=1;j<=i;j++)
        if(t[i-1]=='>')
        {
            dp[i][j]=(pref[i-1][i-1]-pref[i-1][j-1]+MOD)%MOD;
        }
        else
        {
            dp[i][j]=pref[i-1][j-1];
        }

        for(int j=1;j<=n;j++)
        {
            pref[i][j]=pref[i][j-1]+dp[i][j];
            pref[i][j]%=MOD;
        }
    }

    cout<<pref[n][n]<<"\n";

    /*
    for(int i=1;i<n;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(dp[i][j]==0) continue;
            if(t[i]=='>')
            {
                for(int k=1;k<=j;k++)
                {
                    dp[i+1][k]+=dp[i][j];
                    dp[i+1][k]%=MOD;
                }
            }
            else
            {
                for(int k=j+1;k<=i+1;k++)
                {
                    dp[i+1][k]+=dp[i][j];
                    dp[i+1][k]%=MOD;
                }
            }
        }
    }

    long long ans=0;
    for(int i=1;i<=n;i++)
    {
        ans+=dp[n][i];
        ans%=MOD;
    }

    cout<<ans<<"\n";
    */

    return 0;
}


