# include <iostream>
using namespace std;

const int MOD=1e9+7;
const int MAX=3e3+11;

int n;
char t[MAX];
int dp[MAX][MAX];
int pref[MAX][MAX];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    cin>>n;
    for(int i=1;i<n;i++) cin>>t[i];

    dp[1][1]=1;
    for(int i=1;i<=1;i++) pref[1][i]=1;

    for(int i=2;i<=n;i++)
    {
        for(int j=1;j<=i;j++)
        if(t[i-1]=='>')
        {
            dp[i][j]=(pref[i-1][i-1]-pref[i-1][j-1]+MOD);
            if(dp[i][j]<0) dp[i][j]+=MOD;
        }
        else
        {
            dp[i][j]=pref[i-1][j-1];
        }

        for(int j=1;j<=i;j++)
        {
            pref[i][j]=pref[i][j-1]+dp[i][j];
            if(pref[i][j]>=MOD) pref[i][j]-=MOD;
        }
    }

    cout<<pref[n][n]<<"\n";

    return 0;
}


