#include <bits/stdc++.h>
using namespace std;
const long long MOD=1000000007;
long long rev2,rev6;

long long toN(int n)
{
    n=n%MOD;
    return ((n*(n+1))%MOD*rev2)%MOD;
}

long long sumSq(int n)
{
    n%=MOD;
    return (((((n*(n+1))%MOD)*(2*n+1))%MOD)*rev6)%MOD;
}

long long f(int a)
{
    return toN(a)+toN(a-1);
}

long long pref(int n,int k)
{
    if(k<=n)return toN(k);
    else return f(n)-toN(2*n-k-1)+MOD;
}

long long solve(int x)
{
    if(x==0)return 0;
    int a=sqrt(x);
    return (sumSq(a)+pref(a+1,x-a*a))%MOD;
}


long long power(long long a,long long b)
{
    long long ans=1;

    for(int i=0;i<60;i++)
    {
        if((1LL<<i)&b)ans=(a*ans)%MOD;
        a=(a*a)%MOD;
    }
    return ans;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long Q,l,r;

    rev2=power(2,MOD-2);
    rev6=power(6,MOD-2);

    cin>>Q;
    while(Q--)
    {
        cin>>l>>r;
        cout<<(solve(r)-solve(l-1)+MOD)%MOD<<'\n';
    }


    return 0;
}
