#include <iostream>
using namespace std;
typedef long long ll;
const ll mod = 1e9 + 7;
const ll maxN = 3005;
char in[maxN];
ll dp[maxN][maxN];

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll n;
    cin >> n;
    cin >> in;
    dp[0][1] = 1;
    for (int i = 1; i < n; i++) {
        for (int j = 1; j <= i + 1; j++) {
            if (in[i - 1] == '<') {
                for (int k = 1; k < j; k++) {
                    dp[i][j] += dp[i - 1][k];
                    dp[i][j] %= mod;
                }
            } else {
//                cout << i << ' ' << in[i] << '\n';
                for (int k = j; k <= i + 1; k++) {
                    dp[i][j] += dp[i - 1][k];
                    dp[i][j] %= mod;
                }
            }
        }
    }
//    for (int i = 1; i <= n; i++) {
//        for (int j = 1; j <= n; j++) {
//            cout << dp[i][j] << ' ';
//        }
//        cout << '\n';
//    }

    ll ans = 0;
    for (int i = 1; i <= n; i++) {
        ans += dp[n - 1][i];
        ans %= mod;
    }
    cout << ans << '\n';
}
