#include <iostream>
using namespace std;
typedef long long ll;
const ll mod = 1e9 + 7;
const ll maxN = 3005;
char in[maxN];
ll dp[maxN][maxN];

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll n;
    cin >> n;
    cin >> in;
    dp[0][1] = 1;
    for (int i = 1; i < n; i++) {
         if (in[i - 1] == '<') {
            int curSum = 0;
            for (int j = 1; j <= i + 1; j++) {
                curSum += dp[i - 1][j - 1];
                dp[i][j] = curSum;
            }
        } else {
            int curSum = 0;
            for (int j = i + 1; j >= 1; j--) {
                curSum += dp[i - 1][j];
                dp[i][j] = curSum;
            }
        }
    }

    ll ans = 0;
    for (int i = 1; i <= n; i++) {
        ans += dp[n - 1][i];
        ans %= mod;
    }
    cout << ans << '\n';
}
