#include <iostream>
#include <vector>
using namespace std;
typedef long long ll;
const ll maxN = 1e5 + 10;
int clParL[maxN], clParR[maxN];
ll dist[maxN], par[maxN], sz[maxN];
vector<ll> child[maxN];
ll n, ans = 0;

void init(ll cur, ll distFromRoot) {
    dist[cur] = distFromRoot;
    for (ll v : child[cur]) {
        init(v, distFromRoot + 1);
        sz[cur] += sz[v];
    }
    sz[cur]++;
}
void initClPar() {
    for (int i = 1; i <= n; i++) {
        int cur = i;
        clParL[i] = 0;
        clParR[i] = n + 1;
        while (cur) {
            cur = par[cur];
            if (cur < i) {
                clParL[i] = max(clParL[i], cur);
            } else {
                clParR[i] = min(clParR[i], cur);
            }
        }
    }
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin >> n;
    for (ll i = 2; i <= n; i++) {
        cin >> par[i];
        child[par[i]].push_back(i);
    }
    init(1, 0);
    initClPar();
    for (int i = 1; i <= n; i++) {
//        cout << i << ' ' << sz[i] << '\n';
        ans += sz[i] * (i - clParL[i]) * (clParR[i] - i);
    }
    cout << ans << '\n';
}
