#include <bits/stdc++.h>
#define endl '\n'

using ll = unsigned long long;
using namespace std;

const ll MOD = 1e9 + 7;

ll getsum(ll p)
{
    ll ab = p * (p + 1LL), ac = p * (2LL * p + 1LL), bc = (p + 1LL) * (2LL * p + 1LL);

    if (ab % 6LL == 0)
    {
        return ((ab / 6LL) * (2LL * p + 1LL)) % MOD;
    }

    if (ac % 6LL == 0)
    {
        return ((ac / 6LL) * (p + 1LL)) % MOD;
    }

    if (bc % 6LL == 0)
    {
        return ((bc / 6LL) * p) % MOD;
    }
}

void solve()
{
    ll l, r;

    cin >> l >> r;

    ll st, fi;
    ll root_l = (ll)(sqrt(l));

    if (root_l * root_l < l)
    {
        st = root_l + 1LL;
    }
    else
    {
        st = root_l;
    }

    ll root_r = (ll)(sqrt(r));

    if (root_r * root_r < r)
    {
        fi = root_r + 1LL;
    }
    else
    {
        fi = root_r;
    }

    ll sum = 0;

    ///specialen sluchai kogato edno wzema celiqt interval
    if (st * st >= r)
    {
        ll R, L;
        ll rem = l - (st - 1LL) * (st - 1LL);
        ll interval = r - l + 1;

        if (rem < st)
        {
            L = rem, R = st;

            if (R - L + 1 > interval)
            {
                R = L + interval - 1;

                sum += (R * (R + 1LL)) / 2LL - (L * (L - 1LL)) / 2LL;
                sum %= MOD;

                cout << sum << endl;

                return;
            }

            sum += (R * (R + 1LL)) / 2LL - (L * (L - 1LL)) / 2LL;
            sum %= MOD;

            if (interval == R - L + 1LL)
            {
                cout << sum << endl;

                return;
            }

            L = st - 1 - (interval - (R - L + 1)) + 1;
            R = st - 1;

            sum += (R * (R + 1LL)) / 2LL - (L * (L - 1LL)) / 2LL;
            sum %= MOD;
        }
        else
        {
            R = st - (rem - st);
            L = R - interval + 1;

            sum += (R * (R + 1LL)) / 2LL - (L * (L - 1LL)) / 2LL;
            sum %= MOD;
        }

        cout << sum << endl;

        return;
    }

    ll br = 0, rem, L, R;

    ///ot nachaloto
    rem = st * st - l + 1;

    if (rem > st)
    {
        R = st - 1, L = R - (rem - st) + 1LL;

        sum += (R * (R + 1LL)) / 2LL - ((L * (L - 1LL)) / 2LL);
        sum %= MOD;

        R = st, L = 1;

        sum += (R * (R + 1LL)) / 2LL;
        sum %= MOD;
    }
    else
    {
        L = 1, R = L + rem - 1;

        sum += (R * (R + 1LL)) / 2LL;
        sum %= MOD;
    }

    ///w kraq
    ll po = (fi - 1LL) * (fi - 1LL) + 1LL;

    rem = r - po + 1;

    if (rem <= fi)
    {
        L = 1, R = L + rem - 1;

        sum += (R * (R + 1LL)) / 2LL;
        sum %= MOD;
    }
    else
    {
        L = 1, R = fi;

        sum += (R * (R + 1LL)) / 2LL;
        sum %= MOD;

        R = fi - 1LL, L = R - (rem - fi) + 1;

        sum += (R * (R + 1LL)) / 2LL - (L * (L - 1LL)) / 2LL;
        sum %= MOD;
    }

    root_l = st, root_r = fi;
    root_r--;

    if (root_l < root_r)
    {
        sum += getsum(root_r) - getsum(root_l);
        sum += MOD;
        sum %= MOD;
    }

    cout << sum << endl;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;

    cin >> t;

    while (t--)
    {
        solve();
    }

    return 0;
}