#include<iostream>
#include<cmath>
#include<vector>
using namespace std;

long long find_sum(int number, int to_skip, bool flag) {
    long long sum = 0;
    if(flag) {
        for(int i = 1; i <= number; i++) {
            if(! to_skip) sum += i;
            else to_skip--;
        }
        for(int i = number - 1; i > 0; i--) {
            if(! to_skip) sum += i;
            else to_skip--;
        }
    } else {
        int counter = 0;
        for(int i = 1; i <= number; i++, counter++) {
            if(counter == to_skip) return sum;
            sum += i;
        }
        for(int i = number - 1; i > 0; i--, counter++) {
            if(counter == to_skip) return sum;
            sum += i;
        }
    }
    return sum;
}

int main() {
    int q;
    cin >> q;
    long long mod = pow(10, 9) + 7;
    vector<long long> results;
    for(long long i = 0; i < q; i++) {
        long long l, r;
        cin >> l >> r;
        //finding l's max number line
        long long sum = 0;
        long long l_max_num = 0;
        long long j = 1;
        for(; l_max_num < l; j += 2) l_max_num += j;
        j -= 2;
        long long n = (j - 1) / 2 + 1;


        //finding r's max number line
        long long r_max_num = 0;
        long long k = 1;
        for(; r_max_num < r; k += 2) r_max_num += k;
        k -= 2;
        long long m = (k - 1) / 2 + 1;

        if(k == j) {
            //if(j - (l_max_num - l + 1) > r_max_num - r) sum += find_sum(n, r_max_num - r, true);
            //else sum += find_sum(n, r_max_num - r, false);

            //if(k - r_max_num + r > l_max_num - l) sum += find_sum(m, l_max_num - l, false);
            //else sum += find_sum(m, l_max_num - 1, true);
            sum += find_sum(m, r_max_num - r + 1, false);
            sum -= find_sum(m, l_max_num - l + 1, true);
        } else {
            sum += find_sum(m, k - r_max_num + r, false);
            sum += find_sum(n, j - (l_max_num - l + 1), true);
        }
        //adding the numbers between l and r
        for(int x = n + 1; x < m; x++) {
            sum += find_sum(x, 0, true);
        }
        results.push_back(sum);

        for(int i = 0; i < results.size(); i++) {
            cout << results[i] % mod;
        }
    }

    return 0;
}
