#include<bits/stdc++.h>

using namespace std;

#define ll long long
#define endl '\n'


const ll mxN = 1e5 + 5;

ll n;
ll sub_sz[mxN], depth[mxN];
vector<vector<ll>> tree(mxN);

void dfs(ll node, ll par, ll d){
    sub_sz[node] = 1;
    depth[node] = d;

    for(ll child : tree[node]){
       if(child == par) continue;
       dfs(child, node, d + 1);
       sub_sz[node] += sub_sz[child];
    }
}


ll get(){
    ll res = 0;
    for(ll i = 1; i <= n; i++){
        res += sub_sz[i] * n;
    }
    return res;
}

void solve(){
    cin >> n;

    for(ll i = 2; i <= n; i++){
        ll par; cin >> par;
        tree[par].push_back(i);
    }

    dfs(1, 0, 0);

    cout << get() + 1 << endl;
}

void fastIO(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int main(){
    fastIO();
    solve();
}
