#include<bits/stdc++.h>

using namespace std;

#define ll long long
#define endl '\n'


const ll mxN = 1e5 + 5;

ll n;
ll sub_sz[mxN], parent[mxN], tin[mxN], tout[mxN], timer = 0;
vector<vector<ll>> tree(mxN);

void dfs(ll node, ll par){
    sub_sz[node] = 1;
    parent[node] = par;
    tin[node] = timer++;

    for(ll child : tree[node]){
       if(child == par) continue;
       dfs(child, node);
       sub_sz[node] += sub_sz[child];
    }
    tout[node] = timer++;
}


void calc(vector<bool>& used, ll node, ll par){
    for(ll child : tree[node]){
        if(child == par) continue;
        calc(used, child, node);
        used[child] = 1;
    }
}


ll get(){
    ll res = 0;

    res += sub_sz[1] * n;

    cout << "1: " << res << endl;

    for(ll i = 2; i <= n; i++){
        res += sub_sz[i];
    }

    cout << "2: " << res << endl;

    for(ll i = 2; i <= n; i++){
        for(ll j = i + 1; j <= n; j++){
            ll k = i;
            vector<bool> used(mxN, false);
            while(k <= j){
                calc(used, k, parent[k]);
                k++;
            }
            for(ll i = 0; i < n; i++){
                if(used[i]) res++;
            }

        }
    }

    cout << "3: " << res << endl;

    return res;
}

void solve(){
    cin >> n;

    for(ll i = 2; i <= n; i++){
        ll par; cin >> par;
        tree[par].push_back(i);
    }

    dfs(1, 0);

    cout << get() << endl;
}

void fastIO(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int main(){
    fastIO();
    solve();
}
