# include <bits/stdc++.h>
# define ll long long
using namespace std;

const ll MOD = 1e9 + 7;
const int MAXQ = 1e5 + 1;
const int MAXN = 1e6 + 1;
ll Prefix[MAXN];

void Upgrade_Speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    int Index = 1;
    int Peak = 1;

    while(Index < MAXN)
    {
        for(int i = 1; i <= Peak; i++)
        {
            Prefix[Index] = (Prefix[Index - 1] + i) % MOD;
            Index++;
            if(Index == MAXN) break;
        }

        for(int i = Peak - 1; i >= 1; i--)
        {
            Prefix[Index] = (Prefix[Index - 1] + i) % MOD;
            Index++;
            if(Index == MAXN) break;
        }

        Peak++;
    }
}

ll Query(int l, int r)
{
    return (Prefix[r] - Prefix[l - 1] + MOD) % MOD;
}

void Solve()
{
    int Q; cin >> Q;

    while(Q--)
    {
        int l, r; cin >> l >> r;
        cout << Query(l, r) << '\n';
    }
}

int main()
{
    Upgrade_Speed();
    Read();
    Solve();
    return 0;
}
