# include <bits/stdc++.h>
# define ll unsigned long long
using namespace std;

const ll MOD = 1e9 + 7;
const int MAXN = 1e6 + 1;
ll Sum[MAXN];

void Upgrade_Speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    for(ll N = 1; N < MAXN; N++)
    {
        Sum[N] = (Sum[N - 1] + (N * N) % MOD) % MOD;
    }
}

ll Calc(ll Index)
{
    if(Index <= 0) return 0;

    ll Root = sqrt(Index);

    ll Answer = Sum[Root];
    Index -= Root * Root;
    Root++;

    if(Index <= Root)
    {
        Answer = (Answer + ((Index * (Index + 1)) / 2) % MOD) % MOD;
    }
    else
    {
        Answer = (Answer + ((Root * (Root + 1)) / 2) % MOD) % MOD;
        ll left, right;
        right = Root - 1;
        left = 2 * Root - Index;
        Answer = (Answer + ((right * (right + 1)) / 2) % MOD - ((left * (left - 1)) / 2) % MOD) % MOD;
    }

    return Answer;
}


void Solve()
{
    int Q; cin >> Q;

    while(Q--)
    {
        ll l, r; cin >> l >> r;
        cout << (Calc(r) - Calc(l - 1) + MOD) % MOD << '\n';
    }
}

int main()
{
    Upgrade_Speed();
    Read();
    Solve();
    return 0;
}
