#include <iostream>
#include <vector>
#include <cmath>
using namespace std;

#define R_MAX pow(10, 18)
vector<int> seq;
vector<int> prefix_sum = {0};

vector<int> get_sequence(vector<int> prev_seq) {
    int mid_index = prev_seq.size() / 2;
    int mid = prev_seq[mid_index];
    prev_seq.insert(prev_seq.begin() + mid_index, mid + 1);
    prev_seq.insert(prev_seq.begin() + mid_index, mid);
    return prev_seq;
}

int main() {
    vector<int> current_seq = {1};

    int q, l, r, r_computed = 0;
    cin >> q;
    for (int i = 0; i < q; i++) {
        cin >> l >> r;
        if (r > r_computed) {
            int k = 0;
            while (seq.size() < r) {
                    if (k == current_seq.size()) {
                        current_seq = get_sequence(current_seq);
                        k = 0;
                    }
                    seq.push_back(current_seq[k]);
                    prefix_sum.push_back(prefix_sum.back() + seq.back());
                    k++;
            }
            r_computed = r;
        }
        cout << prefix_sum[r] - prefix_sum[l - 1] << "\n";
    }

    return 0;
}
