#include<bits/stdc++.h>
using namespace std;
#define ll long long


void dfs(int s, vector<ll>& curr, ll& ans, vector<vector<ll>>& a, vector<ll>& sub_tree, ll n){
    for(auto u : a[s]){
        int l = 0, r = curr.size() - 1, malko = -1, golqmo = n ;
        while(l <= r){
            int mid = (l + r) / 2;
            if(curr[mid] < u){
                malko = curr[mid];
                l = mid + 1;
            }else{
                r = mid - 1;
            }
        }
        l = 0, r = curr.size() - 1;
        while(l <= r){
            int mid = (l + r) / 2;
            if(curr[mid] > u){
                golqmo = curr[mid];
                r = mid - 1;
            }else{
                l = mid + 1;
            }
        }
        ans += (golqmo - u) * (u - malko) * sub_tree[u];
        //cout << (golqmo - u) * (u - malko) << " " << u << " " << golqmo << " " << malko << "\n";
        curr.push_back(u);
        dfs(u, curr, ans, a, sub_tree, n);
        curr.pop_back();
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll ans = 0;
    int n;
    cin >> n;
    vector<ll> p(n);
    vector<vector<ll>> a(n);
    vector<ll>in(n, 0);
    vector<ll> sub_tree(n, 1);
    p[0] = -1;
    for(int i = 1; i < n; i++){
        cin >> p[i];
        p[i]--;
        a[p[i]].push_back(i);
        in[p[i]]++;
    }
    queue<int> q;
    for(int i = 0; i < n; i++){
        if(in[i] == 0){
            q.push(i);
        }
    }
    while(!q.empty()){
        int s = q.front();
        q.pop();
        if(s == 0)break;
        sub_tree[p[s]] += sub_tree[s];
        if(--in[p[s]] == 0){
            q.push(p[s]);
        }
    }
    ans = n * n;
    vector<ll> curr;
    curr.push_back(0);
    dfs(0, curr, ans, a, sub_tree, n);
    cout << ans;
    return 0;
}
