#include<iostream>
#include<vector>
using namespace std;

#define MOD (long long)1e9+7

int q;
vector<pair<long long, long long>> requests;
vector<int> stupid_sequence;

void fast_io(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void input(){
    cin >> q;
    for(int i = 0; i < q; ++i){
        pair<long long, long long> temp;
        cin >> temp.first >> temp.second;
        temp.first--;
        temp.second--;
        requests.push_back(temp);
    }
}

void gen_sequence(){
    for(int n = 1; n < 10; ++n){
        for(int i = 1; i <= n; ++i){
            stupid_sequence.push_back(i);
        }
        for(int i = n - 1; i >= 1; --i){
            stupid_sequence.push_back(i);
        }
    }
}

int main(){
    fast_io();
    input();
    gen_sequence();
    //for(int i = 0; i < stupid_sequence.size(); ++i) { cout << i << " ";} cout << endl;
    //for(auto num : stupid_sequence) { cout << num << " "; }

    for(auto l_r : requests){
        int l = l_r.first, r = l_r.second;
        long long sum = 0;
        for(int i = l; i <= r; ++i){
            sum += stupid_sequence[i];
            sum = sum % ((long long)1000000007);
        }
        cout << sum << "\n";
    }

    return 0;
}
