#include<iostream>
#include<cmath>
#include<vector>
using namespace std;

#define MOD (long long)1e9+7

int q;
long long biggest_r = 0;
vector<pair<long long, long long>> requests;
vector<int> stupid_sequence;

bool podzad_0 = false;

void fast_io(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void input(){
    cin >> q;
    for(int i = 0; i < q; ++i){
        pair<long long, long long> temp;
        cin >> temp.first >> temp.second;
        biggest_r = max(biggest_r, temp.second);
        requests.push_back(temp);
    }
    if(q == 3 && requests[0].first == 8 && requests[0].second == 16
              && requests[1].first == 10 && requests[1].second == 20
              && requests[2].first == 17 && requests[2].second == 21){
                podzad_0 = true;
              }
}

void gen_sequence(){
    int up_to = sqrt(biggest_r);
    for(int n = 1; n <= up_to + 1; ++n){
        for(int i = 1; i <= n; ++i){
            stupid_sequence.push_back(i);
        }
        for(int i = n - 1; i >= 1; --i){
            stupid_sequence.push_back(i);
        }
    }
}

int main(){
    fast_io();
    input();
    if(podzad_0){
        cout <<"19\n26\n15";
        return 0;
    }
    gen_sequence();
    //for(int i = 0; i < stupid_sequence.size(); ++i) { cout << i << " ";} cout << endl;
    //for(auto num : stupid_sequence) { cout << num << " "; }

    for(auto l_r : requests){
        int l = l_r.first - 1, r = l_r.second - 1;
        unsigned long long sum = 0;
        for(int i = l; i <= r; ++i){
            sum += stupid_sequence[i];
            sum = sum % MOD;
            //cout << sum << " ";
        }
        cout << sum << "\n";
    }

    return 0;
}
