#include<iostream>
#include<algorithm>
#include<cmath>
#include<vector>
using namespace std;

#define MOD (unsigned long long)1e9+7
#define SMTH 100000

int q;
vector<unsigned long long> sq_sum;

bool podzad_4 = true;

unsigned long long solve_pair(pair<unsigned long long, unsigned long long> PAIR){
    unsigned long long l = PAIR.first, r = PAIR.second;
    unsigned long long left = sqrt(l - 1) + 1;
    unsigned long long right = sqrt(r - 1) + 1;
    unsigned long long sum = 0;
    unsigned long long l_pos = l - (left - 1) * (left - 1);
    unsigned long long r_pos = r - (right - 1) * (right - 1);
    if(left != right){
        if(right > SMTH){
            return -1;
        }
        unsigned long long between_sum = sq_sum[right - 1] - sq_sum[left];
        unsigned long long l_sum = 0;
        if(l_pos > left){
            l_pos = 2 * left - l_pos;
            l_sum = l_pos * (l_pos + 1) / 2;
        }else{
            l_sum = left * left - l_pos * (l_pos - 1) / 2;
        }
        unsigned long long r_sum = 0;
        if(r_pos > right){
            r_pos = 2 * right - r_pos;
            r_sum = right * right - r_pos * (r_pos - 1) / 2;
        }else{
            r_sum = r_pos * (r_pos + 1) / 2;
        }
        while(l_sum > MOD){
            l_sum -= MOD;
        }
        while(r_sum > MOD){
            r_sum -= MOD;
        }
        sum = l_sum + between_sum + r_sum;
    }else{
        if(l_pos < left && r_pos <= left){
            sum = r_pos * (r_pos + 1) / 2;
            while(sum > MOD && sum > l_pos * (l_pos - 1) / 2){
                sum -= MOD;
            }
            sum -= l_pos * (l_pos - 1) / 2;
        }else if(l_pos < left && left < r_pos){
            r_pos = 2 * right - r_pos;
            sum = left * (left + 1) / 2 - l_pos * (l_pos - 1) / 2;
            while(sum > MOD){
                sum -= MOD;
            }
            sum += left * (left - 1) / 2 - r_pos * (r_pos - 1) / 2;
        }else if(left <= l_pos && left < r_pos){
            l_pos = 2 * left - l_pos;
            r_pos = 2 * right - r_pos;
            sum = l_pos * (l_pos + 1) / 2 - r_pos * (r_pos - 1) / 2;
        }else{
            //cout << "STPUID\n";
        }
    }
    while(sum > MOD){
        sum -= MOD;
    }
    return sum;
}

void fast_io(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void input(){
    cin >> q;
    for(int i = 0; i < q; ++i){
        pair<unsigned long long, unsigned long long> temp;
        cin >> temp.first >> temp.second;
        if(temp.first != temp.second){
            cout << solve_pair(temp) << "\n";
        }else{
            unsigned long long l = temp.first;
            unsigned long long left = sqrt(l - 1) + 1;
            unsigned long long l_pos = l - (left - 1) * (left - 1);
            if(l_pos > left){
                l_pos = 2 * left - l_pos;
            }
            cout << l_pos << "\n";
        }
    }
}

int main(){
    fast_io();
    sq_sum.push_back(0);
    for(unsigned long long i = 1; i < SMTH; ++i){
        sq_sum.push_back(sq_sum[i - 1] + i * i);
    }
    //cout << sq_sum[sq_sum.size() - 1] << " ";
    input();
    return 0;
}
