#include<bits/stdc++.h>
using namespace std;
const long long module = 1e9 + 7;
const long long MAX_N = 1e7;
int tree[MAX_N * 4];
int arr[MAX_N];
long long ans = 0;
void build(int node, long long l, long long r)
{
    if(l == r)
    {
        tree[node] = arr[l];
    }
    else
    {
        long long mid = (l + r) / 2;
        build(node * 2, l, mid);
        build(node * 2 + 1, mid + 1, r);
        tree[node] = tree[node] - module + (tree[node * 2] + tree[node * 2 + 1]);
        if(tree[node] < 0)
        {
            tree[node] = tree[node] + module;
        }
    }
}
void query(int node, long long l, long long r, long long tl, long long tr)
{
    if(l > r || node > 4 * MAX_N)
    {
        return;
    }
    if(l >= tl && r <= tr)
    {
//        cout<<tree[node]<<endl;
        ans = ans - module + tree[node];
        if(ans < 0)
        {
            ans = ans + module;
        }
    }
    else
    {
        long long mid = (l + r) / 2;
        if(mid > tr)
        {
            query(node * 2, l, mid, tl, tr);
        }
        else
        {
            if(mid < tl)
            {
                query(node * 2 + 1, mid + 1, r, tl, tr);
            }
            else
            {
                query(node * 2, l, mid, tl, tr);
                query(node * 2 + 1, mid + 1, r, tl, tr);
            }
        }
    }
}
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long curr_num = 1, curr_ind = 1;
    arr[0] = 0;
    arr[1] = 1;
    bool first_one = false, up = true;
    for(int j = 2; j <= MAX_N; j++)
    {
        arr[j] = curr_num;
        if(curr_num == 1)
        {
            if(first_one == false)
            {
                curr_num++;
                curr_ind++;
                first_one = true;
            }
            else
            {
                first_one = false;
            }
            up = true;
        }
        else
        {
            if(curr_num == curr_ind)
            {
                up = false;
            }
            if(up == true)
            {
                curr_num++;
            }
            else
            {
                curr_num--;
            }
        }
    }
    int q;
    build(1, 1, MAX_N);
    long long l, r;
    cin>>q;
    for(int i = 0; i < q; i++)
    {
        cin>>l>>r;
        ans = 0;
        query(1, 1, MAX_N, l, r);
        cout<<ans<<endl;
    }
    return 0;
}
