#include<bits/stdc++.h>
using namespace std;
const int MAX_N = 1e5;
int par[MAX_N], counter;
int sz[MAX_N];
vector<vector<int> > parent_of;
bool visited[MAX_N];
void dfs(int node)
{
    visited[node] = true;
    counter++;
    for(auto x: parent_of[node])
    {
        if(visited[x] == false)
        {
            dfs(x);
        }
    }
}
int main ()
{
    int N;
    cin>>N;
    parent_of.resize(N + 1);
    par[1] = 1;
    bool child_bigger_than_parent = true;
    for(int i = 1; i <= N; i++)
    {
        sz[i] = 1;
    }
    for(int i = 2; i <= N; i++)
    {
        cin>>par[i];
        sz[par[i]]++;
        parent_of[par[i]].push_back(i);
        if(par[i] > i)
        {
            child_bigger_than_parent = false;
        }
    }
    long long ans = N * N;
    if(child_bigger_than_parent == true)
    {
        for(int i = 2; i <= N; i++)
        {
            counter = 0;
            for(int x = i; x <= N; x++)
            {
                if(par[x] == 1)
                {
                    counter += sz[x];
                }
                ans += counter;
            }
            for(int j = 0; j < parent_of[i].size(); j++)
            {
                par[parent_of[i][j]] = par[i];
            }
        }
    }
    else
    {
        for(int i = 2; i <= N; i++)
        {
            for(int j = 1; j <= N; j++)
            {
                visited[j] = false;
            }
            counter = 0;
            for(int x = i; x <= N; x++)
            {
                if(visited[x] == false)
                {
                    dfs(x);
                }
                ans += counter;
            }
        }
    }
    cout<<ans<<endl;
    return 0;
}
