#include <iostream>
#include <cmath>

#define ll long long

ll good_sqrt(ll num) {
    ll res = sqrt(num);
    if (res * res > num) return res - 1;
    return res;
}

ll get_num(ll idx) {
    ll sq = good_sqrt(idx);
    ll res = idx - sq*sq;
    if (res <= sq) return res + 1;
    return sq*2 - res + 1;
}

int main() {
    int q; std::cin >> q;

    for (int i = 0; i < q; i++) {
        ll l, r; std::cin >> l >> r; l--; r--;

        std::cout << get_num(l) << std::endl;
    }

//    std::cout << get_num(6969696969);
}
