#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

void print_vector(std::vector <int> v) {
    for (auto i: v) {
        std::cout << i << " ";
    }
    std::cout << std::endl;
}

int main() {
    int n; std::cin >> n;
    std::string cond; std::cin >> cond;

    std::vector <int> nums; for (int i = 0; i < n; i++) nums.push_back(i);

    int res = 0;
    do {
        bool flag = true;
        for (int i = 0; i < (n-1); i++) {
            if (cond[i] == '<' && nums[i+1] >= nums[i]) { flag = false; break; }
            if (cond[i] == '>' && nums[i+1] <= nums[i]) { flag = false; break; }
        }
        res += flag;
    } while (std::next_permutation(nums.begin(), nums.end()));

    std::cout << res << std::endl;
}
