#include <bits/stdc++.h>
using namespace std;

const int mod = 1000000007;

int sums[10000000];

void gen_sums(int gen_to)
{
    sums[0] = 1;
    int d=3;
    int prev = 4;
    for(int i=1; i < gen_to; i++)
    {
        sums[i] = (sums[i-1] + prev)%mod;
        d+=2;
        prev = (prev + d)%mod;
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int q;
    long long l, r;

    gen_sums(10000000);

    cin>>q;
    for(int i=0; i < q; i++)
    {
        cin>>l>>r;
        l--;

        int d = 1, br = 0;
        while(l != 0)
        {
            if(d > l)break;
            l -= d;
            d += 2;
            br++;
        }

        int sum_to_l = sums[br-1];

        if(l != 0)
        {
            for(int j=1;j <= br+1; j++)
            {
                if(l == 0)break;
                l--;
                sum_to_l = (sum_to_l + j)%mod;
            }
            for(int j=br; j > 0; j--)
            {
                if(l == 0)break;
                l--;
                sum_to_l = (sum_to_l + j)%mod;
            }
        }

        d = 1, br = 0;
        while(r != 0)
        {
            if(d > r)break;
            r -= d;
            d += 2;
            br++;
        }

        int sum_to_r = sums[br-1];

        if(r != 0)
        {
            for(int j=1;j <= br+1; j++)
            {
                if(r == 0)break;
                r--;
                sum_to_r = (sum_to_r + j)%mod;
            }
            for(int j=br; j > 0; j--)
            {
                if(r == 0)break;
                r--;
                sum_to_r = (sum_to_r + j)%mod;
            }
        }

        cout << sum_to_r - sum_to_l << '\n';
    }

    return 0;
}
