#include <bits/stdc++.h>
using namespace std;

#define endl '\n'

typedef struct TreeNode
{
    int parent;
    vector<int> children;
} TreeNode;

TreeNode tree[100000];

void explore_rec(int a, set<int> * marked)
{
    for(int i=0; i < tree[a].children.size(); i++)
    {
        marked->insert(tree[a].children[i]);
        explore_rec(tree[a].children[i], marked);
    }
}

int explore(int l, int r)
{
    set<int> marked;
    for(int i=l; i <= r; i++)
    {
        marked.insert(i);
        explore_rec(i, &marked);
    }
    return marked.size();
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;

    int sum = n*n; // every combination with the root

    for(int i = 1; i < n; i++)
    {
        int tmp;
        cin >> tmp;
        tmp--;

        tree[i].parent = tmp;
        tree[tmp].children.push_back(i);
    }

    for(int i=1; i < n; i++)
    {
        for(int j=i; j < n; j++)
        {
            sum += explore(i, j);
        }
    }

    cout << sum;

    return 0;
}
