#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;

const int MAXN = 100007;

int n;
vector<int> C[MAXN];
int par[MAXN];
ull subSum[MAXN];
bool marked[MAXN];

void exploreSubtree(ull curr){
    ull sum = 1;
    for(int i = 0; i < C[curr].size(); i++){
        exploreSubtree(C[curr][i]);
        sum += subSum[ C[curr][i] ];
    }
    subSum[curr] = sum;
}

bool isMarked(ull curr){
    if(marked[curr]){ return true; }
    if(curr == 0){ return false; }
    bool parMarked = isMarked(par[curr]);
    if(parMarked){ marked[curr] = true; }
    return marked[curr];
}

ull explore(ull left, ull right){
    for(int i = 0; i < n; i++){ marked[i] = false; }
    ull sum = 0;
    for(int i = left; i <= right; i++){
        if(isMarked(i)){ continue; }
        sum += subSum[i];
        marked[i] = true;
    }
    return sum;
}

int main(){
    cin >> n;
    for(int i = 1; i < n; i++){
        cin >> par[i];
        par[i]--;
        C[par[i]].push_back(i);
    }

    exploreSubtree(0);

    ull sum = 0;
    for(int i = 0; i < n; i++){
        for(int j = i; j < n; j++){
            sum += explore(i, j);
        }
    }
    cout << sum << '\n';

    return 0;
}
