#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;

const int MAXN = 100007;
const int MAXlogN = 17;

int n;
vector<int> C[MAXN];
int par[MAXN];
int dep[MAXN];
ull subSum[MAXN];
bool marked[MAXN];

void exploreSubtree(ull curr, int depth = 0){
    dep[curr] = depth;
    ull sum = 1;
    for(int i = 0; i < C[curr].size(); i++){
        exploreSubtree(C[curr][i], depth+1);
        sum += subSum[ C[curr][i] ];
    }
    subSum[curr] = sum;
}

bool isMarked(ull curr){
    if(marked[curr]){ return true; }
    if(curr == 0){ return false; }
    bool parMarked = isMarked(par[curr]);
    if(parMarked){ marked[curr] = true; }
    return marked[curr];
}

ull explore(ull left, ull right){
    for(int i = 0; i < n; i++){ marked[i] = false; }
    ull sum = 0;
    vector<pair<int, int>> v;
    for(int i = left; i <= right; i++){
        v.push_back({dep[i], i});
    }
    sort(v.begin(), v.end());

    for(int i = 0; i < v.size(); i++){
        int u = v[i].second;
        //        cout << "u: " << 1+u << '\n';
        if(isMarked(u)){ continue; }
        sum += subSum[u];
//        cout << "\t+= " << subSum[u] << '\n';
        marked[u] = true;
    }

    return sum;
}

ull spTab[MAXN][MAXlogN];

void build(){
    int log = ceil(log2(n));
    for(int i = 0; i < n; i++){
        spTab[i][0] = subSum[i];
    }
    for(int i = 0; i < n; i++){
        for(int j = 1; j <= log; j++){
            spTab[i][j] =
        }
    }
}

int main(){
    cout << log2(MAXN);

    cin >> n;
    for(int i = 1; i < n; i++){
        cin >> par[i];
        par[i]--;
        C[par[i]].push_back(i);
    }

    exploreSubtree(0);

//    cout << explore(2-1, 4-1) << '\n';
//    return 0;

    ull sum = 0;
    for(int i = 0; i < n; i++){
        for(int j = i; j < n; j++){
            sum += explore(i, j);
        }
    }
    cout << sum << '\n';

    return 0;
}
