#include <bits/stdc++.h>

using namespace std;

const int maxn = 18;
const int mod = 1e9 + 7;

int n;
char s[maxn];
int dp[maxn + 1][maxn + 1][(1 << maxn) + 5];

void fastIO()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}

int main()
{
    fastIO();

    cin >> n;

    for (int i = 2; i <= n; ++i)
    {
        cin >> s[i];
    }

    int ans = 0;

    for (int i = 0; i < n; ++i)
    {
        dp[1][i][(1 << i)] = 1;
    }

    int maxMask = (1 << n);

    for (int pos = 2; pos <= n; ++pos)
    {
        for (int num = 0; num < n; ++num)
        {
            for (int mask = 0; mask < (1 << n); ++mask)
            {
                if (s[pos] == '>')
                {
                    for (int j = num + 1; j < n; ++j)
                    {
                        if ((mask & (1 << j)) != 0)
                        {
                            dp[pos][num][mask] += dp[pos - 1][j][(mask ^ (1 << num))];
                            if (dp[pos][num][mask] >= mod) dp[pos][num][mask] -= mod;
                        }
                    }
                }
                else
                {
                    for (int j = 0; j < num; ++j)
                    {
                        if ((mask & (1 << j)) != 0)
                        {
                            dp[pos][num][mask] += dp[pos - 1][j][(mask ^ (1 << num))];
                            if (dp[pos][num][mask] >= mod) dp[pos][num][mask] -= mod;
                        }
                    }
                }
            }
        }
    }

    for (int i = 0; i < n; ++i)
    {
        ans += dp[n][i][(1 << n) - 1];
        if (ans >= mod) ans -= mod;
    }

    cout << ans << endl;

    return 0;
}
