#include <iostream>

long long group(long long i)
{
    long long counter = 1;
    long long k = 1;
    do
    {
        if(k >= i)
        {
            return counter;
        }
        i -= k;
        counter++;
        k+=2;
    } while(true);
}

long long index_in_group(long long i)
{
    long long k = 1;
    do
    {
        if(i <= k*k)
        {
            return i - (k-1)*(k-1);
        }
    } while(true);
}

void gen_arr(long long* arr, long long len)
{
    for(long long i = 1; i <= len; i++)
    {
        arr[i] = i*i;
    }
}

long long sum_part_gr(long long li, long long ri, long long gr)
{
    long long peakindex = gr;
    long long len = 2*gr - 1;
    long long sum = 0;

    li -= (gr-1)*(gr-1);
    ri -= (gr-1)*(gr-1);

    if(li >= peakindex) // p li ri
    {
        long long lval = 2*peakindex - li;
        long long rval = 2*peakindex - ri;

        sum += (lval + rval) * (lval - rval + 1) / 2;
    }
    else if(ri <= peakindex) // li ri p
    {
        sum += (li + ri) * (ri - li + 1) / 2;
    }
    else //li p ri
    {
        long long lval = li;
        long long rval = peakindex;
        sum += (lval + rval) * (rval - lval + 1) / 2;

        if(ri == peakindex)
        {
            return sum;
        }
        lval = 2*peakindex - ri;
        rval = peakindex - 1;

        sum += (lval + rval) * (rval - lval + 1) / 2;
    }

    return sum;
}

int main()
{
    long long q;
    long long rmax = 0;

    std::cin >> q;
    long long l[q+1], r[q+1];
    for(long long i = 1; i <= q; i++)
    {
        std::cin >> l[i] >> r[i];
        if(r[i] > rmax)
        {
            rmax = r[i];
        }
    }

    long long arrlen = group(rmax);
    long long arr[arrlen + 1];
    gen_arr(arr, arrlen);

    long long lg, rg;
    long long sum;
    for(long long i = 1; i <= q; i++)
    {
        sum = 0;
        lg = group(l[i]);
        rg = group(r[i]);
        if(rg - lg > 0)
        {
            for(long long j = lg + 1; j < rg; j++)
            {
                sum += arr[j];
            }
            sum += sum_part_gr(l[i], lg*lg, lg);
            sum += sum_part_gr((rg-1)*(rg-1) + 1, r[i], rg);

        }
        else //if(lg == rg)
        {
            sum += sum_part_gr(l[i], r[i], lg);
        }

        std::cout << sum << "\n";
    }

    return 0;
}