#include <iostream>
#include <vector>
#include <set>

struct Node
{
    int index;
    std::vector<int> children;
};

void sel_add(Node a, std::set<int>& s, Node* v)
{
    if(s.find(a.index) == s.end())
    {
        s.insert(a.index);
        for(auto& ch : a.children)
        {
            sel_add(v[ch], s, v);
        }
    }
}

int main()
{
    int n;

    std::cin >> n;

    Node arr[n+1];

    for(int i = 1; i <= n; i++)
    {
        arr[i].index = i;
    }

    int a;
    for(int i = 1; i < n; i++)
    {
        std::cin >> a;
        arr[a].children.push_back(i);
    }

    int count;
    int sum = 0;

    std::set<int> selected;

    for(int i = 1; i <= n; i++)
    {
        
        for(int j = i; j <= n; j++)
        {
            selected.clear();
            for(int k = i; k < j; k++)
            {
                sel_add(arr[i], selected, arr);
                sum += selected.size();
            }
        }
    }

    std::cout << sum << std::endl;

    return 0;
}