#include <bits/stdc++.h>
#define endl "\n"

using namespace std;

const long long mod = 1e9+7;
const int MAXN = 3005;

long long n,fact[MAXN];
string t;

struct chain
{
    vector<int>v;
    int type;
};
vector<chain>sp;

void read()
{
    cin >> n;
    cin >> t;

    char last = '#';
    int br = 0;

    chain pom;
    for(int i = 0; i < t.size(); i++)
    {
        if(last == t[i]) br++;
        else
        {
            if(br)
            {
                pom.v.clear();
                if(last == '<') pom.type = 1;
                else pom.type = -1;

                for(int j = i+1 - br; j <= i+1; j++) pom.v.push_back(j);

                if(pom.type == -1) reverse(pom.v.begin(),pom.v.end());
                sp.push_back(pom);
            }
            last = t[i];
            br = 1;
        }
    }
    if(br)
    {
        pom.v.clear();
        if(last == '<') pom.type = 1;
        else pom.type = -1;

        for(int j = n - br; j <= n; j++) pom.v.push_back(j);
        if(pom.type == -1) reverse(pom.v.begin(),pom.v.end());
        sp.push_back(pom);
    }

    fact[0] = 1;
    for(int i = 1; i <= n; i++) fact[i] = (fact[i-1]*i)%mod;
}


long long p[2][MAXN];

long long step(long long a, long long b)
{
    long long res = 1;
    while(b > 0)
    {
        if(b % 2) res = (res*a)%mod;
        b /= 2;
        a = (a*a)%mod;
    }
    return res;
}

long long comb(long long ni, long long ki)
{
    long long chis = fact[ni];
    long long zn = (fact[ni-ki] * fact[ki])%mod;
    return (chis*step(zn,mod-2))%mod;
}

void solve()
{
    /*for(chain nb : sp)
    {
        cout << nb.type << "->  ";
        for(int a : nb.v) cout << a << " ";
        cout << endl;
    }*/

    int broj = 0;
    long long pom_ans = 0;
    for(int q = 0; q < sp.size(); q++)
    {
        int tek = q%2;
        int old = (q+1)%2;
        pom_ans = 0;

        chain nb = sp[q];
        if(q == 0)
        {
            if(nb.type == 1)
            {
                p[tek][(int)nb.v.size()] = 1;
                ///vs ost sa 0
            }
            else
            {
                p[tek][1] = 1;
                ///vs ost sa 0
            }
            pom_ans = 1;

            broj += nb.v.size();
            //for(int i = 1; i <= broj; i++) cout << p[q][i] << " ";
        //cout << endl;
            continue;
        }


        if(nb.type == 1)
        {
            for(int i = broj + nb.v.size()-1; i >= nb.v.size()-1 + 1; i--)
            {
                p[tek][i] = 0;
                for(int j = 1; j + nb.v.size()-1 <= i; j++)
                {
                    int mqsto = i-j - 1;
                    p[tek][i] += (p[old][j]*comb(mqsto,(int)nb.v.size()-2))%mod;
                    p[tek][i] %= mod;
                }
                pom_ans = (pom_ans + p[tek][i])%mod;
            }
        }
        else
        {
            for(int i = 1; i + nb.v.size()-1 <= broj + nb.v.size()-1; i++)
            {
                p[tek][i] = 0;
                for(int j = broj; j+nb.v.size()-1 >= i+nb.v.size()-1; j--)
                {
                    int mqsto = j+nb.v.size()-1 - i - 1;
                    p[tek][i] += (p[old][j]*comb(mqsto,(int)nb.v.size()-2))%mod;
                    p[tek][i] %= mod;
                }
                pom_ans = (pom_ans + p[tek][i])%mod;
            }
        }

        //cout << "this is q:" << " " << q << endl;
        broj += nb.v.size() - 1;

        //for(int i = 1; i <= broj; i++) cout << p[q][i] << " ";
        //cout << endl;
    }
    cout << pom_ans << endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    read();
    solve();
    return 0;
}
