#include <bits/stdc++.h>
using namespace std;
#define endl "\n"
const long long mxN = 1e5+5;
const long long INF = 1e6;
vector<long long> adj[mxN];
vector<long long> subt(mxN,1);
vector<long long> contrib(mxN);
vector<long long> par(mxN);
vector<long long> minpar(mxN);
long long n;
long long res = 0;
void dfs(long long node, long long par){
    for(auto next : adj[node]){
        if(next==par){
            continue;
        }
        dfs(next,node);
        subt[node]+=subt[next];
    }
}
void calc_contrib(long long node){
    long long temp = node;
    temp = par[temp];
    vector<long long> parents;
    parents.push_back(temp);
    while(temp!=0){
        if(temp>node){
            contrib[node]+=node*(n-temp+1);
        }
        else{
            contrib[node]+=temp*(n-node+1);
        }
        temp = par[temp];
        parents.push_back(temp);
    }
    long long m = parents.size();
    sort(parents.begin(),parents.end());
    for(int i=1; i<(1<<m); i++){ // aint no way principle of inclusion exclusion :sob:
        if(__builtin_popcount(i)<=1)continue;
        int minbit = INF, maxbit = -INF;
        for(int bit=0; bit<m; bit++){
            if(i&(1<<bit)){
                minbit=min(minbit,bit);
                maxbit=max(maxbit,bit);
            }
        }
        minbit = parents[minbit];
        maxbit = parents[maxbit];
        minbit=min(minbit,(int)node);
        maxbit=max(maxbit,(int)node);
        long long br = (minbit)*(n-maxbit+1);
        if(__builtin_popcount(i)%2){
            contrib[node]+=br;
        }
        else{
            contrib[node]-=br;
        }
    }
    long long brr = (node)*(n-node+1);
    contrib[node] = brr-contrib[node];
    contrib[node]*=subt[node];
    res+=contrib[node];
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin >> n;
    par[1]=0;
    for(int i=2; i<=n; i++){
        long long a; cin >> a;
        par[i]=a;
        adj[a].push_back(i);
        adj[i].push_back(a);
    }
    dfs(1,0);
    for(int i=1; i<=n; i++){
        calc_contrib(i);
    }
    cout << res << endl;
}
