# include <iostream>
using namespace std;

const long long MOD=1e9+7;
const int MAX=3e3+11;

long long comb[MAX][MAX];

void precalc()
{
    comb[0][0]=1;
    for(int i=1;i<=3000;i++)
    {
        comb[i][0]=1;
        for(int j=1;j<=i;j++)
        {
            comb[i][j]=comb[i-1][j-1]+comb[i-1][j];
            comb[i][j]%=MOD;
        }
    }
}

int n;
char t[MAX];

long long dp[MAX][MAX];
bool vis[MAX][MAX];

long long solve(int l, int r)
{
    if(l==r) return 1;
    if(l>r) return 0;
    if(vis[l][r]) return dp[l][r];

    long long ans=0;
    if(t[l]=='>') ans+=solve(l+1,r);
    if(t[r-1]=='<') ans+=solve(l,r-1);
    ans%=MOD;

    for(int i=l+1;i<=r-1;i++)
    {
        if(t[i-1]=='<' and t[i]=='>')
        {
            //cout<<l<<" "<<r<<":"<<i<<"\n";
            long long add=(solve(l,i-1)*solve(i+1,r))%MOD;
            add=(add*comb[r-l][i-l]);
            ans=(ans+add)%MOD;
        }
    }

    vis[l][r]=1;
    dp[l][r]=ans;
    return ans;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    precalc();

    cin>>n;
    for(int i=1;i<n;i++) cin>>t[i];

    cout<<solve(1,n)<<"\n";

    return 0;
}

