# include <iostream>
# include <vector>
# include <set>
using namespace std;

const int MAX=1e5+11;

int n;
vector<int> adj[MAX];
int up[MAX];

void read()
{
    cin>>n;
    for(int i=2;i<=n;i++)
    {
        cin>>up[i];
        adj[up[i]].push_back(i);
    }
}

int sz[MAX];

void dfs(int curr)
{
    sz[curr]=1;
    for(int nxt: adj[curr])
    {
        dfs(nxt);
        sz[curr]+=sz[nxt];
    }
}

void find_size()
{
    dfs(1);
}

set<long long> s;
long long ans=0;

void dfs_ans(int curr)
{
    s.insert(curr);
    auto it=s.find(curr);
    auto pr=it,nxt=it;
    pr--;nxt++;
    long long l=*(pr),r=*(nxt);
    ans+=sz[curr]*(curr-l)*(r-curr);

    for(int nei: adj[curr])
    {
        dfs_ans(nei);
    }

    s.erase(curr);
}

void solve()
{
    s.insert(0);s.insert(n+1);
    dfs_ans(1);

    cout<<ans<<"\n";
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);

    read();
    find_size();
    solve();

    return 0;
}

