#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

vector<long long> generate_sequence(int n)
{
    vector<long long> current;
    current.push_back(0);

    for (int k = 1; ; k++)
    {
        int i = 1;
        for (; i <= k; i++)
        {
            current.push_back(current[current.size() - 1] + i);
            if (current.size() == n + 1)
                return current;
        }
        
        for (int j = i - 2; j >= 1; j--)
        {
            current.push_back(current[current.size() - 1] + j);
            i++;
            if (current.size() == n + 1)
                return current;
        }
    }
}

long long range_query(const vector<long long> nums, int l, int r)
{
    return nums[r] - nums[l - 1];
}

int main()
{
    int num;
    cin >> num;

    vector<long long> possible;
    for (int i = 0; i < num; i++)
    {
        int l, r;
        cin >> l >> r;

        if (possible.size() == 0 || possible.size() - 1 < r)
            possible = generate_sequence(r);
        
        cout << range_query(possible, l, r) % (int)(pow(10, 9) + 7) << '\n';
    }
    
    return 0;
}

