#include <iostream>
#include <vector>
#include <math.h>

#define ll long long

using namespace std;

vector<ll> generate_sequence(ll n)
{
    vector<ll> current;
    current.push_back(0);

    for (ll k = 1; ; k++)
    {
        ll i = 1;
        for (; i <= k; i++)
        {
            current.push_back(current[current.size() - 1] + i);
            if (current.size() == n + 1)
                return current;
        }
        
        for (ll j = i - 2; j >= 1; j--)
        {
            current.push_back(current[current.size() - 1] + j);
            i++;
            if (current.size() == n + 1)
                return current;
        }
    }
}

long long range_query(const vector<ll> nums, ll l, ll r)
{
    return nums[r] - nums[l - 1];
}

int main()
{
    ll num;
    cin >> num;

    vector<ll> possible;
    for (ll i = 0; i < num; i++)
    {
        ll l, r;
        cin >> l >> r;

        if (possible.size() == 0 || possible.size() - 1 < r)
            possible = generate_sequence(r);
        
        cout << range_query(possible, l, r) % (int)(pow(10, 9) + 7) << '\n';
    }
    
    return 0;
}

