#include <iostream>
#include <cmath>
using namespace std;
typedef long long ll;
const ll mod = 1e9 + 7;

ll sumTo(ll x) {
    if (x == 0) { return 0; }
    ll sqrtX = sqrt(x);
    ll ans = sqrtX * (sqrtX + 1) / 2;
    if (ans % 3 == 0) {
        ans /= 3;
        ans %= mod;
        ans *= 2 * sqrtX + 1;
    } else {
        ans %= mod;
        ans *= (2 * sqrtX + 1) / 3;
    }
    ans %= mod;
    ll bigSq = sqrtX * sqrtX;
    if (bigSq + sqrtX + 1 <= x) {
        ///x is in inc
        ll dif = x - bigSq;
        ans += dif * (dif + 1) / 2;
    } else {
        ///x is in dec
        if (bigSq != x) {
            ans += (sqrtX + 1) * (sqrtX + 1);
            ll dif = bigSq + 2 * sqrtX + 1 - x;
            ans -= dif * (dif + 1) / 2;
        }
    }
    return ans % mod;
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll q;
    cin >> q;
    for (ll i = 0; i < q; i++) {
        ll l, r;
        cin >> l >> r;
        cout << sumTo(r) - sumTo(l - 1  ) << '\n';
    }
}
