#include<bits/stdc++.h>

using namespace std;

#define ll long long
#define endl '\n'


const ll mxN = 1e2 + 5;

ll n;
ll sub_sz[mxN], dp[mxN][mxN], tin[mxN], tout[mxN], timer = 0;
vector<vector<ll>> tree(mxN);

void dfs(ll node, ll par){
    sub_sz[node] = 1;
    tin[node] = timer++;
    for(ll child : tree[node]){
       if(child == par) continue;
       dfs(child, node);
       sub_sz[node] += sub_sz[child];
    }
    tout[node] = timer++;
}

bool isAnc(ll a, ll b){
    return (tin[a] < tin[b] ) && (tout[a] > tout[b]);
}

void get(){
    ll res = 0;

    res += sub_sz[1] * n;

    //cout << res << endl;

    for(ll i = 2; i <= n; i++){
        dp[i][i] = sub_sz[i];
    }

    for(ll i = 2; i <= n; i++){
        for(ll j = i + 1; j <= n; j++){
            //cout << "main: " << i << " " << j << endl;
            bool flag = 1;
            ll k = i;
            while(k <= j){

                if(isAnc(k, j)){
                    flag = 0;
                    break;
                }
                k++;

            }
            if(flag){
                dp[i][j] = dp[i][j - 1] + sub_sz[j];
            }
            else{
                dp[i][j] = dp[i][j - 1];
            }
            //cout << dp[i][j] << endl;
        }
    }

    //cout << endl;

    for(ll i = 1; i <= n; i++){
        for(ll j = 1; j <= n; j++){
            res += dp[i][j];
            //cout << dp[i][j] << " ";
        }
        //cout << endl;
    }
    cout << res << endl;

}

void solve(){
    cin >> n;

    for(ll i = 2; i <= n; i++){
        ll par; cin >> par;
        tree[par].push_back(i);
    }

    dfs(1, 0);
    get();
}

void fastIO(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int main(){
    fastIO();
    solve();
}
