# include <bits/stdc++.h>
# define ll long long
using namespace std;

const ll MOD = 1e9 + 7;
const int MAXN = 19;
const int MAXMASK = (1 << MAXN);
int Power[MAXN];
int N;
string Type;
ll Answer;
ll dp[MAXMASK];

void Upgrade_Speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;
    cin >> Type;

    Power[0] = 1;

    for(int i = 1; i <= N; i++)
    {
        Power[i] = Power[i - 1] * 2;
    }
}

void Solve()
{
    dp[0] = 1;

    for(int Mask = 0; Mask < Power[N]; Mask++)
    {
        for(int Bit = 0; Bit < N; Bit++)
        {
            if(!(Mask & Power[Bit]))
            {
                int Future = Mask + Power[Bit];

                if(Bit == 0)
                {
                    if(Type[Bit] == '<')
                    {
                        if((Mask & Power[Bit + 1]))
                        {
                            dp[Future] = (dp[Future] + dp[Mask]) % MOD;
                        }
                    }
                    else
                    {
                        if(!(Mask & Power[Bit + 1]))
                        {
                            dp[Future] = (dp[Future] + dp[Mask]) % MOD;
                        }
                    }
                }
                else if(Bit == N - 1)
                {
                    if(Type[Bit - 1] == '<')
                    {
                        if(!(Mask & Power[Bit - 1]))
                        {
                            dp[Future] = (dp[Future] + dp[Mask]) % MOD;
                        }
                    }
                    else
                    {
                        if((Mask & Power[Bit - 1]))
                        {
                            dp[Future] = (dp[Future] + dp[Mask]) % MOD;
                        }
                    }
                }
                else
                {
                    bool L = false, R = false;

                    if(Type[Bit] == '<')
                    {
                        if((Mask & Power[Bit + 1]))
                        {
                            L = true;
                        }
                    }
                    else
                    {
                        if(!(Mask & Power[Bit + 1]))
                        {
                            L = true;
                        }
                    }

                    if(Type[Bit - 1] == '<')
                    {
                        if(!(Mask & Power[Bit - 1]))
                        {
                            R = true;
                        }
                    }
                    else
                    {
                        if((Mask & Power[Bit - 1]))
                        {
                            R = true;
                        }
                    }

                    if(L && R)dp[Future] = (dp[Future] + dp[Mask]) % MOD;
                }
            }
        }
    }

    cout << dp[Power[N] - 1];
}

int main()
{
    Upgrade_Speed();
    Read();
    Solve();
    return 0;
}
