# include <bits/stdc++.h>
# define ll long long
using namespace std;

const int MAXN = 1e5 + 1;
int N;
int Parent[MAXN];
vector<int> Graph[MAXN];
ll dp[MAXN];
ll Answer = 0;

void Upgrade_Speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;

    for(int U = 2; U <= N; U++)
    {
        cin >> Parent[U];
        Graph[Parent[U]].push_back(U);
    }
}

void Dfs(int U)
{
    dp[U] = dp[Parent[U]];

    if(U < Parent[U])
    {
        int Size = Parent[U] - U;
        dp[U] += U * Size;
    }
    else
    {
        int Size = U - Parent[U];
        dp[U] += (N - U + 1) * Size;
    }

    Answer += dp[U];

    for(auto& V : Graph[U])
    {
        Dfs(V);
    }
}

void Solve()
{
    Dfs(1);
    cout << Answer;
}

int main()
{
    Upgrade_Speed();
    Read();
    Solve();
    return 0;
}

