# include <bits/stdc++.h>
# define ll long long
using namespace std;

const int MAXN = 1e5 + 1;
int N;
int Parent[MAXN];
vector<int> Graph[MAXN];
ll dp[MAXN];
ll Answer = 0;
bool In[MAXN];

void Upgrade_Speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void Read()
{
    cin >> N;

    for(int U = 2; U <= N; U++)
    {
        cin >> Parent[U];
        Graph[Parent[U]].push_back(U);
    }
}

void Dfs(int U)
{
    dp[U] = dp[Parent[U]];

    int left = 0, right = 0;

    for(int i = U; i >= 1; i--)
    {
        if(In[i]) break;
        left++;
    }

    for(int i = U; i <= N; i++)
    {
        if(In[i]) break;
        right++;
    }

    dp[U] += left * right;
    Answer += dp[U];
    In[U] = true;

    for(auto& V : Graph[U])
    {
        Dfs(V);
    }

    In[U] = false;
}

void Solve()
{
    Dfs(1);
    cout << Answer;
}

int main()
{
    Upgrade_Speed();
    Read();
    Solve();
    return 0;
}

