#include <iostream>
#include <vector>
#include <cmath>
using namespace std;

#define R_MAX pow(10, 18)
vector<int> seq;

void get_sequence(vector<int> prev_seq) {
    int mid = prev_seq[prev_seq.size() / 2];
    prev_seq.insert(prev_seq.end(), mid + 1);
    prev_seq.insert(prev_seq.end(), mid);
}

int main() {
    long q, l, r, sum;
    cin >> q;
    vector<int> current_seq = {1};
    for (int i = 0; i < R_MAX; i++) {
        int j = 0;
        if (j == current_seq.size() - 1) {
            get_sequence(current_seq);
            j = 0;
        }
        seq[i] = current_seq[j];
        j++;
    }
    for (int i = 0; i < q; i++) {
        sum = 0;
        cin >> l >> r;
        
        for (int i = l; i < r; i++) {
            sum += seq[i];
        }
        cout << sum << "\n";
    }


    return 0;
}