#include <bits/stdc++.h>
using namespace std;

#define endl '\n'
#define out(x) #x << " = " << x << "; ";

#ifndef LOCAL
#define cerr if(false) cerr
#endif

const int INF = 1e9 + 9;
const int MOD = 1e9 + 7;

const int MAX_N = 1e5 + 10;

int n;
int parent[MAX_N];
vector <int> kids[MAX_N];

bool visited[MAX_N];

void dfs(int x) {
    visited[x] = true;
    for (int i = 0; i < kids[x].size(); i ++) {
        int kd = kids[x][i];
        if (visited[kd]) continue;
        visited[kd] = true;
        dfs(kd);
    }
}

int exp (int l, int r) {
    for (int i = l; i <= r; i ++) {
        if (visited[i]) continue;
        dfs(i);
    }

    int ans = 0;
    for (int i = 1; i <= n; i ++) {
        ans += visited[i];
        visited[i] = false;
    }

    cerr << l << " " << r << " " << ans << endl;

    return ans;
}

int main () {
    cin >> n;

    parent[1] = 1;
    for (int i = 2; i <= n; i ++) {
        int x; cin >> x;
        parent[i] = x;
        kids[x].push_back(i);
    }

    int ans = 0;
    for (int i = 1; i <= n; i ++) {
        for (int j = i; j <= n; j ++) {
            ans += exp(i, j);
        }
    }
    cout << ans << endl;
    return 0;
}

