#include <bits/stdc++.h>
using namespace std;

#define endl '\n'
#define out(x) #x << " = " << x << "; "

#ifndef LOCAL
#define cerr if(false) cerr
#endif

const int INF = 1e9 + 9;
const int MOD = 1e9 + 7;

const int MAX_N = 1e5 + 10;

int n;
int parent[MAX_N];
vector <int> kids[MAX_N];

bool visited[MAX_N];

vector <int> v;
int startin[MAX_N];
int endin[MAX_N];
int index[MAX_N];

int gind() {
    return v.size() - 1;
}

void dfs(int x) {
    v.push_back(x);
    startin[x] = gind();
    index[x] = gind();
    for (int i = 0; i < kids[x].size(); i ++) {
        int kd = kids[x][i];
        if (visited[kd]) continue;
        visited[kd] = true;
        dfs(kd);
    }
    endin[x] = gind();
}


int main () {
    cin >> n;

    parent[1] = 1;
    for (int i = 2; i <= n; i ++) {
        int x; cin >> x;
        parent[i] = x;
        kids[x].push_back(i);
    }

    dfs(1);

    for (int i = 0; i < v.size(); i ++) {
        cerr << v[i] << " ";
    }
    cerr << endl;

    for (int i = 1; i <= n; i ++) {
        cerr << i << " (" << startin[i] << " - " << endin[i] << "); " << out(index[i]) << endl;
    }

    int ans = 0;
    for (int l = 1; l <= n; l ++) {
        int curr = 0;
        vector <int> taken;
        for (int r = l; r <= n; r ++) {
            bool isTaken = false;
            for (int i = 0; i < taken.size(); i ++) {
                if (index[r] >= startin[taken[i]] && index[r] <= endin[taken[i]]) {
                    isTaken = true;
                    break;
                }
            }
            if (!isTaken) {
                taken.push_back(r);
                curr += endin[r] - startin[r] + 1;
            }

            ans += curr;
        }
    }
    cout << ans << endl;
    return 0;
}


