#include<iostream>
#include<vector>
#include<stack>
#include<bitset>
#include<unordered_set>
using namespace std;

int n;
bitset<(int)1e5> visited;
vector<int> adj_list[(int) 1e5];

void dfs(int start){
    if(visited[start]) return;
    visited[start] = true;
    for(int next : adj_list[start])
        dfs(next);
}

void fast_io(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

void input(){
    cin >> n;
    for(int i = 2; i <= n; ++i){
        int par;
        cin >> par;
        adj_list[par].push_back(i);
    }
}

void stupid_solve(){
    int ans = 0;
    for(int i = 1; i <= n; ++i){
        for(int j = i; j <= n; ++j){
            //cout << i << " " << j << " " ;
            visited.reset();
            for(int k = i; k <= j; ++k){
                if(n <= 50) dfs(k);
            }
           // cout << visited.count() << endl;
            ans += visited.count();
        }
    }
    cout << ans;
}

int main(){
    fast_io();
    input();

    stupid_solve();
    return 0;
}
