#include<iostream>
#include<vector>
#include<queue>
using namespace std;
const int MAXN = 100000;
vector<int> kids[MAXN];
long long sum;
int n;
void obhojdane(int l, int r)
{
    bool marked[n + 1] = {false};
    queue<int> q;
    for(int i = l; i <= r; i++)
    {
        if(!marked[i]) q.push(i);
        marked[i] = true;
        while(!q.empty())
        {
            int j = q.front();
            for(int k : kids[j])
            {
                marked[k] = true;
                q.push(k);
            }
            q.pop();
        }
    }
    for(int a = 1; a <= n; a++)
    {
        if(marked[a]) sum++;
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int a;
    cin >> n;
    for(int i = 2; i <= n; i++)
    {
        cin >> a;
        kids[a].push_back(i);
    }
    for(int l = 1; l <= n; l++)
    {
        for(int r = l; r <= n; r++)
        {
            obhojdane(l, r);
        }
    }
    cout << sum;
    return 0;
}
