#include<iostream>
#include<set>
#include<queue>
using namespace std;
const int MAXN = 100000;
set<int> kids[MAXN];
long long sum;
int n;
void obhojdane(int l, int r)
{
    bool marked[n + 1] = {false};
    for(int i = l; i <= r; i++)
    {
        marked[i] = true;
        for(int j : kids[i])
        {
            marked[j] = true;
        }
    }
    for(int i = 1; i < n + 1; i++)
    {
        if(marked[i]) sum ++;
    }
}
void insertnode(int nodeto, int nodenow, queue<int>& q)
{
    if(nodenow != nodeto && kids[nodeto].count(nodenow) == 0) kids[nodeto].insert(nodenow);
    for(int i : kids[nodenow])
    {
        q.push(i);
    }
    while(!q.empty() && nodeto == nodenow)
    {
        int a = q.front();
        q.pop();
        insertnode(nodeto, a, q);
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int a;
    cin >> n;
    for(int i = 2; i <= n; i++)
    {
        cin >> a;
        kids[a].insert(i);
    }
    for(int i = 1; i <= n; i++)
    {
        queue<int> q;
        insertnode(i, i, q);
    }
    for(int l = 1; l <= n; l++)
    {
        for(int r = l; r <= n; r++)
        {
            obhojdane(l, r);
        }
    }
    cout << sum;
    return 0;
}
