#include<bits/stdc++.h>
using namespace std;

struct node{
    int parent;
    int closestL=INT_MIN;
    int closestR=INT_MAX;
    int children=0;
};

int n;
int prenomerirane[100002];
node leaf[100002];

queue<int> q; bool visited[100002];
void bfs(){
    int now;
    while(!q.empty()){
        now=q.front();
        q.pop();
        if(visited[now])continue;
        visited[now]=true;
        leaf[leaf[now].parent].children+=leaf[now].children;
        q.push(leaf[now].parent);
    }
}
void findPops(int x){
    int curr=x;
    while(leaf[curr].parent!=0){
        curr=leaf[curr].parent;
        if(curr<x)leaf[x].closestL=max(leaf[x].closestL,curr);
        else leaf[x].closestR=min(leaf[x].closestR,curr);
    }
}

int main(){
ios_base::sync_with_stdio(0);
cin.tie(0); cout.tie(0);
    visited[1]=true; leaf[1].parent=0;
    cin>>n;
    int siz,l,r,i;
    for(i=2; i<=n; i++){
        cin>>leaf[i].parent;
        leaf[leaf[i].parent].children++;
    }
    for(i=2; i<=n; i++){
        findPops(i);
        if(leaf[i].children==0)
            q.push(i);
    }
    bfs();
    long long ans=0;
    for(siz=1; siz<=n; siz++){
        for(l=1; l<=n-siz+1; l++){
            r=l+siz-1;
            for(i=l; i<=r; i++){
                if(leaf[i].closestL>=l || leaf[i].closestR<=r)continue;
                ans+=leaf[i].children+1;
            }
        }
    }
    cout<<ans;
return 0;
}
