#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

#define ll long long
const ll MOD = 1e9+7;

int n;
std::string cond;

ll count_occ(int ind, int last_num, std::vector <bool> &used) {
//    if (ind < 2) std::cout << ind << std::endl;
    if (ind == n) return 1;
    ll res = 0;
    if (last_num == -1) {
        for (int i = 0; i < n; i++) {
            std::vector <bool> v1 = used; v1[i] = true;
            res += count_occ(ind+1, i, v1);
            res %= MOD;
        }
        return res;
    }

    for (int i = 0; i < n; i++) {
        if (used[i]) continue;
        if (i >= last_num && cond[ind-1] == '<') continue;
        if (i <= last_num && cond[ind-1] == '>') continue;
        std::vector <bool> v1 = used; v1[i] = true;
        res += count_occ(ind+1, i, v1);
        res %= MOD;
    }
    return res;
}

int main() {
    std::cin >> n;
    std::cin >> cond;


    std::vector <bool> used(n); for (int i = 0; i < 0; i++) used[i] = false;
    std::cout << count_occ(0, -1, used) << std::endl;
}

