#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

const int MOD = 1e9+7;

int n;
std::string cond;

int dp[20][1000000];

int count_occ(int ind, int last_num, int used) {
//    std::cout << ind << " " << last_num << " " << used << std::endl;
    if (ind == n) return 1;
    if (dp[last_num][used] != -1) return dp[last_num][used];
    int res = 0;
    if (ind == 0) {
        for (int i = 0; i < n; i++) {
            int v1; v1 = used | (1 << i);
            res += count_occ(ind+1, i, v1);
            res %= MOD;
        }
        return res;
    }

    for (int i = 0; i < n; i++) {
        if (used & (1 << i)) continue;

        if (i >= last_num && cond[ind-1] == '<') continue;
        if (i <= last_num && cond[ind-1] == '>') continue;
        int v1; v1 = used | (1 << i);
        res += count_occ(ind+1, i, v1);
        res %= MOD;
    }
    dp[last_num][used] = res;
    return res;
}

void init() {
    for (int i = 0; i < 20; i++) {
        for (int j = 0; j < 300000; j++) {
            dp[i][j] = -1;
        }
    }
}

int main() {
    init();
    std::cin >> n;
    std::cin >> cond;


    int used = 0;
    std::cout << count_occ(0, 0, used) << std::endl;
}


