#include<bits/stdc++.h>
#define endl '\n'
using namespace std;

const long long MAX = (1e6)+5,MOD = (1e9)+7;

long long Sum(long long x)
{
    return x*(x+1)/2;
}

long long OddSum(long long x)
{
    return x + 2*Sum(x-1);
}

long long Bin2(long long x)
{
    long long l = -1,r=(1e9)+2,m;
    while(r-l>1)
    {
        m=l+(r-l)/2;
        if(OddSum(m)<=x)
            l = m;
        else
            r =m;
    }
    return l;
}

long long Bin1(long long x)
{
    long long l = -1,r=(1e9)+2,m;
    while(r-l>1)
    {
        m=l+(r-l)/2;
        if(OddSum(m) + 1>=x)
            r =m;
        else
            l=m;
    }
    return r+1;
}

long long Func(long long x,long long y,long long center)
{
    if(x<center&&center<=y)
        return Sum(center-1)-Sum(x-1) + Sum(center) - Sum(2*center-y-1);
    if(y<center)
        return Sum(y)-Sum(x-1);
    if(x>=center)
        return Sum(2*center-x) - Sum(2*center-y-1);
}

long long Sol1(long long l,long long r)
{
    long long op1,op2,i1,i2,ans=0,ind;
    op2 = Bin2(r);
    op1 = Bin1(l);
    i2 = OddSum(op2);
    i1 = OddSum(op1-1)+1;
    if(op1-op2 == 2)
        return Func(l-i2,r-i2,op2+1)%MOD;
    //if(op2>=op1)
    //ans+=(p[op2]-p[op1-1] + MOD )%MOD;
    ans+=Func(1,r-i2,op2+1);
    ans+=Func(l-OddSum(op1-2),i1-OddSum(op1-2)-1,op1-1);
    return ans%MOD;
}

void Solve()
{
    long long l,r,q;
    cin>>q;
    for(long long i=0; i<q; i++)
    {
        cin>>l>>r;
        cout<<Sol1(l,r)<<endl;
    }
}

signed main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);
    Solve();
    return 0;

}
