#include<bits/stdc++.h>

#define endl '\n'

using namespace std;

typedef long long ll;

const int MAXN = 1e5 + 10;
const int MOD = 1e9 + 7;

int n;
vector < int > adj[MAXN];
bool used[MAXN];

int cnt;

void read()
{
    cin >> n;

    for(int i = 2; i <= n; i++)
    {
        int p;
        cin >> p;

        adj[p].push_back(i);
    }
}

void dfs(int u)
{
    if(!used[u])
        cnt++;

    used[u] = true;

    for(int v : adj[u])
    {
        dfs(v);
    }
}

void solve()
{
    int ans = 0;

    for(int left = 1; left <= n; left++)
    {
        cnt = 0;

        for(int i = 1; i <= n; i++)
        {
            used[i] = 0;
        }

        for(int right = left; right <= n; right++)
        {
            dfs(right);

            ans = (ans + cnt) % MOD;
        }
    }
    cout << ans << endl;
}

int main()
{
    ios_base :: sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    read();
    solve();

    return 0;
}
