#include<bits/stdc++.h>

#define maxn 1000005
#define maxlog 20
#define mod 1000000007

using namespace std;

typedef long long ll;

ll sum[maxn] , prefsum[maxn];
ll br[maxn] , prefbr[maxn];
ll q , l , r;


ll get_sum(ll idx)
{
    ll f = idx * (idx + 1) / 2;
    ll s = (idx - 1) * idx / 2;

    return f + s;
}

ll get_br(ll idx)
{
    return 2 * idx - 1;
}

ll get_pref_sum(ll l , ll r)
{
    return (r * (r + 1) / 2) - ((l - 1) * (l - 1 + 1) / 2);
}

ll get_to(ll group , ll idx)
{
    ll sz = get_br(group);
    ll ans = 0;

    if(idx >= sz)
        ans = get_pref_sum(1 , (sz + 1) / 2) + get_pref_sum(sz - idx + 1 , (sz + 1) / 2 - 1);
    else
        ans = get_pref_sum(1 , idx);

    return ans;
}



void read()
{
    ll group = 1;

    ll cntnum = 1;
    br[1] = 1;
    prefsum[1] = 1;
    ll pos = 1;
    sum[1] = 1;
    prefbr[1] = 1;

    while(pos <= 1e12)
    {
        group++;

        cntnum = get_br(group);
        pos += cntnum;

        br[group] = cntnum;
        prefbr[group] = prefbr[group - 1] + cntnum;

        sum[group] = get_sum(group);
        prefsum[group] = prefsum[group - 1] + sum[group];
    }

    //for(int i = 1; i <= 10; i++)
      //  cout << br[i] << " " << prefbr[i] << " " << sum[i] << " " << prefsum[i] << endl;

    cin >> q;

    while(q--)
    {
        ll brl , brr;

        cin >> brl >> brr;

        ll l = 0 , r = 1e6;
        ll ans = r;

        while(l <= r)
        {
            ll mid = (l + r) / 2;

            if(prefbr[mid] >= brl)
            {
                r = mid - 1;
            }
            else
            {
                ans = mid;
                l = mid + 1;
            }
        }
        ll posl = ans;

        l = 0 , r = 1e6;
        ans = r;

        while(l <= r)
        {
            ll mid = (l + r) / 2;

            if(prefbr[mid] >= brr)
            {
                r = mid - 1;
            }
            else
            {
                ans = mid;
                l = mid + 1;
            }
        }
        ll posr = ans;

        ll cc = prefsum[posr] - prefsum[posl];
        ll poml = get_to(posl + 1 , brl - prefbr[posl] - 1);
        ll pomr = get_to(posr + 1 , brr - prefbr[posr]);

        cc += pomr;
        cc -= poml;

        cout << cc << endl;
    }
}




int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    read();

    return 0;
}
