#include<bits/stdc++.h>

#define maxn 20000005
#define maxlog 20
#define mod (__int128)(1e9 + 7)

using namespace std;

typedef long long ll;

__int128 sum[maxn] , prefsum[maxn];
__int128 br[maxn] , prefbr[maxn];
ll q , l , r;


__int128 get_sum(__int128 idx)
{
    __int128 f = (idx * (idx + 1) / 2);
    __int128 s = ((idx - 1) * idx / 2);

    return (f + s);
}

__int128 get_br(__int128 idx)
{
    return (2 * idx - 1);
}

__int128 get_pref_sum(__int128 l , __int128 r)
{
    __int128 f = (r * (r + 1) / 2);
    __int128 s = ((l - 1) * (l - 1 + 1) / 2);

    return f - s;
}

__int128 get_to(__int128 group , __int128 idx)
{
    __int128 sz = get_br(group);
    //cout << "-> " << sz << " " << idx << " " << (sz + 1) / 2 - 1 << endl;
    __int128 ans = 0;

    //cout << (sz + 1) / 2 << " " << sz - idx + 1 << endl;

    if(idx > (sz + 1) / 2)
    {
        //cout << 1 << " " << (sz + 1) / 2 << " " << sz - idx + 1 << " " << (sz + 1) / 2 - 1 << endl;
        ans = get_pref_sum(1 , (sz + 1) / 2) + get_pref_sum(sz - idx + 1 , (sz + 1) / 2 - 1);
    }
    else
        ans = get_pref_sum(1 , idx);

    return ans;
}



void read()
{
    //cout << "in " << endl;

    __int128 group = 1;

    __int128 cntnum = 1;
    br[1] = 1;
    prefsum[1] = 1;
    __int128 pos = 1;
    sum[1] = 1;
    prefbr[1] = 1;

    while(pos <= 1e12)
    {
        group++;

        cntnum = get_br(group);
        pos += cntnum;

        br[group] = cntnum;
        prefbr[group] = prefbr[group - 1] + cntnum;

        sum[group] = get_sum(group);
        prefsum[group] = prefsum[group - 1] + sum[group];
    }

    //for(int i = 1; i <= 10; i++)
      //  cout << br[i] << " " << prefbr[i] << " " << sum[i] << " " << prefsum[i] << endl;

    cin >> q;

    while(q--)
    {
        ll brl , brr;

        cin >> brl >> brr;

        __int128 l = 0 , r = group;
        __int128 ans = group;

        while(l <= r)
        {
            __int128 mid = (l + r) / 2;

            if(prefbr[mid] >= brl)
            {
                r = mid - 1;
            }
            else
            {
                ans = mid;
                l = mid + 1;
            }
        }
        __int128 posl = ans;

        l = 0 , r = 1e6;
        ans = r;

        while(l <= r)
        {
            __int128 mid = (l + r) / 2;

            if(prefbr[mid] >= brr)
            {
                r = mid - 1;
            }
            else
            {
                ans = mid;
                l = mid + 1;
            }
        }
        __int128 posr = ans;

        __int128 cc = prefsum[posr] - prefsum[posl];
        __int128 poml = get_to(posl + 1 , brl - prefbr[posl] - 1);
        __int128 pomr = get_to(posr + 1 , brr - prefbr[posr]);

        //cout << brl - prefbr[posl] - 1 << endl;
        //cout << brr - prefbr[posr] << endl;

        //cc += pomr;
        //cc -= poml;
        __int128 pom = (cc + pomr) % mod;
        pom = (pom - poml + mod) % mod;

        ll help = pom;
        cout << help << endl;
    }
}




int main()
{
    //cout << "in " << endl;
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    read();

    return 0;
}
